using System;
using Banco.Interfaces;

using System.Reflection;

namespace WinBanco
{
    class BancoFactory
    {
        static public IBanco Create()
        {
            //return new Banco.OleDbImpl.OleDbProvider() ;
            //return new Banco.XmlImpl.XmlProvider();

            // a la VS 2003
            //string provider = System.Configuration.ConfigurationManager.AppSettings["DataProvider.Assembly"];
            //string classname = System.Configuration.ConfigurationManager.AppSettings["DataProvider.Class"];

            // a la VS 2005
            string provider = Properties.Settings.Default.ProviderDll;
            string classname = Properties.Settings.Default.ImplementationClass;

            Assembly asb = Assembly.LoadFrom(provider);
            IBanco impl = (IBanco)asb.CreateInstance(classname);
            return impl;
        }
    }
}
