using System;
using System.Data;

namespace Banco.Interfaces
{
	public interface IBanco
	{
		#region Acesso directo  BD

		 DataSet GetContas();

		 decimal GetSaldo(string conta);

		 DataSet GetMovimentos(string conta);

		 DataSet GetMovimentos(int conta);

		 decimal AddMovimento(string conta, DateTime dt, decimal montante);

		 decimal AddMovimento(int conta, DateTime dt, decimal montante);
		
		#endregion

		#region Typed DataSet

		 BDContas GetConta(int conta);

		 BDContas GetConta(string numeroConta);

		 void UpdateConta(BDContas dsConta);
        
        #endregion
	}
}
